# Utilidades

## Utilidades


gpick con

:    _Agave_ y _pdftk_ ya no existen, nos pasamos a _gpick_ y _poppler-utils_

     `sudo apt install gpick`

graphviz

:    Una utilidad de generación de gráficos que uso a veces. También
     es útil para `web2py` y para `org-roam

     `sudo apt install graphviz`

sqlite3

:    Un motor de bases de datos sencillo que se uso a menudo

     `sudo apt install sqlite3`

cheat

:    Chuletas de comandos habituales, se instala bajando el ejecutable
     desde [su github](https://github.com/cheat/cheat/releases)

cheat.sh

:    Echa una mirada a su página web: <http://cheat.sh/>, es casi
     idéntico al anterior pero disponible desde cualquier ordenador
     con conexión.

gparted

:    Instalamos _gparted_ para poder formatear memorias usb

     `sudo apt install gparted`

wkhtmltopdf

:    Para pasar páginas web a pdf

     `sudo apt install wkhtmltopdf`

lsd

:    `ls` potenciado, instalamos el paquete desde [la página de
     releases del github del
     proyecto](https://github.com/Peltoche/lsd/releases)

bat

:    `cat` potenciado, instalamos el paquete desde [la página de
     releases del github del
     proyecto](https://github.com/sharkdp/bat/releases)

nmap ndiff ncat

:    `nmap` nos permite realizar mapeos de subredes en nuestras redes
     locales. Por ejemplo para localizar dispositivos enganchados a
     nuestra red. `ndiff` nos permite comparar escaneos realizados con
     `nmap` y `ncat` hace todo tipo de cosas (mira en la red)

     `sudo apt install nmap ndiff ncat`
     
rofi
 
:    El super conmutador de ventanas (y muchas más cosas).

     Creamos el fichero `~/.config/rofi/config.rasi` con el siguiente contenido
     
     ```json
     configuration {
       modi: "drun,run,ssh,combi";
       theme: "fancy";
       font: "mensch 16";
       combi-modi: "window,drun,ssh";
     }
     ```
     
     Asociamos un atajo de teclado al comando: `rofi -show drun`

# Internet

## Rclone

Instalamos desde la página web(https://rclone.org/), descargando el
fichero `.deb`.

~~~~
curl https://rclone.org/install.sh | sudo bash
~~~~

### Recetas rclone

Copiar directorio local en la nube:

~~~~
rclone copy /localdir hubic:backup -vv
~~~~

Si queremos ver el directorio en la web de Hubic tenemos que copiarlo
en _default_:

~~~~
rclone copy /localdir hubic:default/backup -vv
~~~~

Sincronizar una carpeta remota en local:

~~~~
rclone sync hubic:directorio_remoto /home/salvari/directorio_local -vv
~~~~


### Referencias

* [Como usar rclone (blogdelazaro)](https://elblogdelazaro.gitlab.io//articles/rclone-sincroniza-ficheros-en-la-nube/)
* [y con cifrado (blogdelazaro)](https://elblogdelazaro.gitlab.io//articles/rclone-cifrado-de-ficheros-en-la-nube/)
* [Documentación](https://rclone.org/docs/)


# time-tracking

## Activity Watcher

Instalado desde la web

En realidad no lo uso para nada.

## go for it

Este programa no para de escribir en el disco continuamente. He dejado
de usarlo por que me sobra con el org-mode de emacs.

Si de todas formas lo quieres instalar, aquí tienes los comandos:

~~~~{bash}
sudo add-apt-repository ppa:go-for-it-team/go-for-it-daily && sudo apt-get update
sudo apt-get install go-for-it
~~~~


## i3 window manager

Añadimos el repo:

```bash
cd ~/tmp
$ /usr/lib/apt/apt-helper download-file https://debian.sur5r.net/i3/pool/main/s/sur5r-keyring/sur5r-keyring_2021.02.02_all.deb keyring.deb SHA256:cccfb1dd7d6b1b6a137bb96ea5b5eef18a0a4a6df1d6c0c37832025d2edaa710

# dpkg -i ./keyring.deb
# echo "deb http://debian.sur5r.net/i3/ $(grep '^DISTRIB_CODENAME=' /etc/lsb-release | cut -f2 -d=) universe" >> /etc/apt/sources.list.d/sur5r-i3.list
# apt update
# apt install i3
```
